Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class MapModelDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.portal.context.MapModelDocument

All Implemented Interfaces:
  Serializable

     class MapModelDocument

extends XMLFragment

TODO add class documentation here

Version:
  $Revision: 20771 $, $Date: 2009-11-12 18:37:45 +0100 (Do, 12. Nov 2009) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Field Summary

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, XLNNS`

Constructor Summary
`MapModelDocument(Element root)`

Method Summary
`(package private) MapModel` | `parseMapModel()`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapModelDocument

    MapModelDocument(Element root)

Parameters:
  `root` -

Method Detail

### parseMapModel

    MapModel parseMapModel()
                     throws XMLParsingException

  Returns:
    MapModel including hierarchyly arranged layers and layer groups
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org